import { ModuleOptions } from './module'

declare module '@nuxt/schema' {
  interface NuxtConfig {
    /**
     * Nuxt Font Loader
     *
     * Simple, modern and lightweight font loader for Nuxt.
     *
     * @see [Repository](https://github.com/ivodolenc/nuxt-font-loader)
     */
    ['fontLoader']?: Partial<ModuleOptions>
  }
  interface NuxtOptions {
    /**
     * Nuxt Font Loader
     *
     * Simple, modern and lightweight font loader for Nuxt.
     *
     * @see [Repository](https://github.com/ivodolenc/nuxt-font-loader)
     */
    ['fontLoader']?: ModuleOptions
  }
}
declare module 'nuxt/schema' {
  interface NuxtConfig { ['fontLoader']?: Partial<ModuleOptions> }
  interface NuxtOptions { ['fontLoader']?: ModuleOptions }
}

export { ModuleOptions, default } from './module'